DOM::HTMLTableRowElement Class Reference

`#include <html_table.h>`

Inheritance diagram for DOM::HTMLTableRowElement:

## Public Member Functions

| HTMLTableRowElement (const HTMLTableRowElement &other)
| HTMLTableRowElement (const Node &other)
HTMLTableRowElement & | operator= (const HTMLTableRowElement &other)
HTMLTableRowElement & | operator= (const Node &other)
long | rowIndex () const
void | setRowIndex (long)
long | sectionRowIndex () const
void | setSectionRowIndex (long)
HTMLCollection | cells () const
void | setCells (const HTMLCollection &)
DOMString | align () const
void | setAlign (const DOMString &)
DOMString | bgColor () const
void | setBgColor (const DOMString &)
DOMString | ch () const
void | setCh (const DOMString &)
DOMString | chOff () const
void | setChOff (const DOMString &)
DOMString | vAlign () const
void | setVAlign (const DOMString &)
HTMLElement | insertCell (long index)
void | deleteCell (long index)
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLTableRowElement (HTMLTableRowElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Friends

class | HTMLTableElement

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

A row in a table.

See the TR element definition in HTML 4.0.

Definition at line 725 of file html_table.h.

## Member Function Documentation

DOMString HTMLTableRowElement::align | ( |  | ) | const

Horizontal alignment of data within cells of this row.

See the align attribute definition in HTML 4.0.

Definition at line 688 of file html_table.cpp.

DOMString HTMLTableRowElement::bgColor | ( |  | ) | const

Background color for rows.

See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

Definition at line 699 of file html_table.cpp.

HTMLCollection HTMLTableRowElement::cells | ( |  | ) | const

The collection of cells in this row.

Definition at line 677 of file html_table.cpp.

DOMString HTMLTableRowElement::ch | ( |  | ) | const

Alignment character for cells in a column.

See the char attribute definition in HTML 4.0.

Definition at line 710 of file html_table.cpp.

DOMString HTMLTableRowElement::chOff | ( |  | ) | const

Offset of alignment character.

See the charoff attribute definition in HTML 4.0.

Definition at line 721 of file html_table.cpp.

void HTMLTableRowElement::deleteCell | ( | long | index | ) |

Delete a cell from the current row.

Parameters

  index | The index of the cell to delete, starting from 0. If the index is -1 the last cell in the row is deleted.

Returns

Definition at line 753 of file html_table.cpp.

HTMLElement HTMLTableRowElement::insertCell | ( | long | index | ) |

Insert an empty `TD` cell into this row.

If index is -1 or equal to the number of cells, the new cell is appended.

Parameters

  index | The place to insert the cell.

Returns
  The newly created cell.

Definition at line 743 of file html_table.cpp.

long HTMLTableRowElement::rowIndex | ( |  | ) | const

The index of this row, relative to the entire table.

This is in logical order and not in document order. The rowIndex does take into account sections (THEAD, TFOOT or TBODY) within the table, placing THEAD rows first in the index, followed by TBODY rows, followed by TFOOT rows.

Definition at line 655 of file html_table.cpp.

long HTMLTableRowElement::sectionRowIndex | ( |  | ) | const

The index of this row, relative to the current section ( `THEAD` , `TFOOT` , or `TBODY` ).

Definition at line 666 of file html_table.cpp.

void HTMLTableRowElement::setAlign | ( | const DOMString & | value | ) |

see align

Definition at line 694 of file html_table.cpp.

void HTMLTableRowElement::setBgColor | ( | const DOMString & | value | ) |

see bgColor

Definition at line 705 of file html_table.cpp.

void HTMLTableRowElement::setCells | ( | const HTMLCollection & |  | ) |

see cells

This function is obsolete - the cells property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html)

Definition at line 683 of file html_table.cpp.

void HTMLTableRowElement::setCh | ( | const DOMString & | value | ) |

see ch

Definition at line 716 of file html_table.cpp.

void HTMLTableRowElement::setChOff | ( | const DOMString & | value | ) |

see chOff

Definition at line 727 of file html_table.cpp.

void HTMLTableRowElement::setRowIndex | ( | long |  | ) |

see rowIndex

This function is obsolete - the rowIndex property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html)

Definition at line 661 of file html_table.cpp.

void HTMLTableRowElement::setSectionRowIndex | ( | long |  | ) |

see sectionRowIndex

This function is obsolete - the sectionRowIndex property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html)

Definition at line 672 of file html_table.cpp.

void HTMLTableRowElement::setVAlign | ( | const DOMString & | value | ) |

see vAlign

Definition at line 738 of file html_table.cpp.

DOMString HTMLTableRowElement::vAlign | ( |  | ) | const

Vertical alignment of data within cells of this row.

See the valign attribute definition in HTML 4.0.

Definition at line 732 of file html_table.cpp.

The documentation for this class was generated from the following files:

- html_table.h
- html_table.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys